<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="form">
    <form class="ui form" id="workflowtransition-form" th:object="${workflowtransition}" method="post">
      <input type="hidden" th:field="*{workflow}" />
      <input type="hidden" th:field="*{id}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ORDER}}, 
	                                                                 field = 'order', 
	                                                                 required = true, 
	                                                                 max = 99,
	                                                                 min =0,  
	                                                                 placeholder = '',
	                                                                 columnsize = 'three wide'
	                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_INITIAL_STATUS}}, 
	                                                                 field = 'status', 
	                                                                 options = ${statuslist},
	                                                                 optionfield = 'item.name',
	                                                                 required = true,
	                                                                 columnsize = 'five wide',
                                                                     emptyoption = true
	                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).WORKFLOW_TRANSITIONS_MESSAGE_NEXT_STATUS}}, 
	                                                                 field = 'nextStatus', 
	                                                                 options = ${statuslist},
	                                                                 optionfield = 'item.name',
	                                                                 required = true,
	                                                                 columnsize = 'five wide',
                                                                     emptyoption = true
	                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
	                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
	                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKFLOWS},
	                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
	                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
	                                                                      icon2url = ''
	                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
      <br />
    </form>
    <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKFLOWTRANSITIONS_JS}}"></script>
  </th:block>
</body>
</html>